Page MenuHomePhabricator

[Bug] User page with no history, missing toolbar actions
Closed, DuplicatePublic

Description

Description

In AMC mode, when viewing a user page that does not have history, the page actions toolbar is missing all actions aside from History (ironically). However if you go to Talk > Read as Wiki page, the actions appear.

There seems to be no issues with user pages with history

Possibly of note: when viewing the same user page (the one without history) with AMC off, there is no toolbar at all. This seems to be true generally of not-yet-created user pages (see https://en.m.wikipedia.org/wiki/User:SpicyFlowers), though in this case I'm fairly certain the user page does exist.

Details

Browser & device: all devices & browsers

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 22 2019, 7:24 PM
alexhollender updated the task description. (Show Details)
ovasileva triaged this task as Normal priority.Apr 16 2019, 10:40 AM

@alexhollender - so the current state of this seems to be that there is no page actions bar at all. Thinking about this for a bit - I feel like that might actually be okay. The likelihood of anyone watching a page that doesn't exist seems pretty low. Thoughts?

I'm also seeing no toolbar at all now. I think the main issue would be the inability to edit your own user page, right?

ovasileva added a comment.EditedMay 21 2019, 9:35 AM

I'm also seeing no toolbar at all now. I think the main issue would be the inability to edit your own user page, right?

But we have the big blue button to create the page:

@ovasileva alright I've definitely confused myself, my apologies. I'm trying to sort out which cases of user pages are missing the toolbar. It seems like this issue is not AMC specific, and would possibly be resolved in T220114. I think it makes the most sense to close this task for me to note following cases that we might want to address in T220114:

  1. non-existent user page, e.g. https://es.m.wikipedia.org/w/index.php?title=Usuario:NishiroK123&action=view
  2. user page that exists on a different wiki, e.g. https://es.m.wikipedia.org/wiki/Usuario:AHollender_(WMF)

I agree that the toolbar isn't really useful in the case of non-existent user pages (aside from perhaps the edit button as a method of creation). @Jdlrobson made a case for why watching non-existent article pages is useful (T211775#4817560), and therefore why the toolbar should be included. From the perspective of consistency it almost seems more simple to include it in all cases. Or, if we decide that we won't show it for non-existent user pages let's just make sure that we're all clear on that and it's intentional rather than a bug.

@ovasileva alright I've definitely confused myself, my apologies. I'm trying to sort out which cases of user pages are missing the toolbar. It seems like this issue is not AMC specific, and would possibly be resolved in T220114. I think it makes the most sense to close this task for me to note following cases that we might want to address in T220114:

  1. non-existent user page, e.g. https://es.m.wikipedia.org/w/index.php?title=Usuario:NishiroK123&action=view
  2. user page that exists on a different wiki, e.g. https://es.m.wikipedia.org/wiki/Usuario:AHollender_(WMF)

I agree that the toolbar isn't really useful in the case of non-existent user pages (aside from perhaps the edit button as a method of creation). @Jdlrobson made a case for why watching non-existent article pages is useful (T211775#4817560), and therefore why the toolbar should be included. From the perspective of consistency it almost seems more simple to include it in all cases. Or, if we decide that we won't show it for non-existent user pages let's just make sure that we're all clear on that and it's intentional rather than a bug.

Thanks @alexhollender! I didn't notice the user page existing on a different wiki case before - that's a good catch. I suppose for this case it would be useful to have the toolbar (as other users might want to watch the page)